GET/cosmos/gov/v1/proposals/{proposal_id}

https://rest-babylon-mainnet.nodit.io/cosmos/gov/v1/proposals/string

Proposal queries proposal details based on ProposalID.

Path Parameters
proposal_idstring (uint64)required

proposal_id is the unique id of a proposal.

Responses
idstring (uint64)

proposal_id is the unique id of a proposal.

messagesobject[]

messages are the arbitrary messages to be executed if the proposal passes.

type_urlstring

A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one "/" character. The last segment of the URL's path must represent the fully qualified name of the type (as in path/google.protobuf.Duration). The name should be in a canonical form (e.g., leading "." is not accepted).

In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme http, https, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows:

  • If no scheme is provided, https is assumed.
  • An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error.
  • Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.)

Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com.

Schemes other than http, https (or the empty scheme) might be used with implementation specific semantics.

valuestring (byte)

Must be a valid serialized protocol buffer of the above specified type.

statusstring (enum)

status defines the proposal status.

final_tally_resultobject

final_tally_result is the final tally result of the proposal. When querying a proposal via gRPC, this field is not populated until the proposal's voting period has ended.

yes_countstring

yes is the number of yes votes on a proposal.

abstain_countstring

abstain is the number of abstain votes on a proposal.

no_countstring

no is the number of no votes on a proposal.

no_with_veto_countstring

no_with_veto is the number of no with veto votes on a proposal.

submit_timestring (date-time)

submit_time is the time of proposal submission.

deposit_end_timestring (date-time)

deposit_end_time is the end time for deposition.

total_depositobject[]

total_deposit is the total deposit on the proposal.

denomstring

Token denomination.

amountstring

Amount, as an integer string in the smallest unit.

voting_start_timestring (date-time)

voting_start_time is the starting time to vote on a proposal.

voting_end_timestring (date-time)

voting_end_time is the end time of voting on a proposal.

metadatastring

Arbitrary attached metadata (often a link to an off-chain document).

titlestring

Proposal title.

summarystring

Proposal summary.

proposerstring

Proposer address.

expeditedboolean

Whether the proposal is expedited.

failed_reasonstring

Reason the proposal failed to execute.

X-API-KEY
RequestCU15
cURL
curl -X GET "https://rest-babylon-mainnet.nodit.io/cosmos/gov/v1/proposals/string" \
  -H "X-API-KEY: {YOUR_API_KEY}"
Response
Example · 200
{
  "proposal": {
    "id": "string",
    "messages": [
      {
        "type_url": "string",
        "value": "string"
      }
    ],
    "status": "PROPOSAL_STATUS_UNSPECIFIED",
    "final_tally_result": {
      "yes_count": "string",
      "abstain_count": "string",
      "no_count": "string",
      "no_with_veto_count": "string"
    },
    "submit_time": "string",
    "deposit_end_time": "string",
    "total_deposit": [
      {
        "denom": "string",
        "amount": "string"
      }
    ],
    "voting_start_time": "string",
    "voting_end_time": "string",
    "metadata": "string",
    "title": "string",
    "summary": "string",
    "proposer": "string",
    "expedited": true,
    "failed_reason": "string"
  }
}